# FLAC: FLAC::Metadata::SeekTable Class Reference

FLAC::Metadata::SeekTable Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::SeekTable:

## Public Member Functions

| SeekTable (const SeekTable &object)
| SeekTable (const ::FLAC__StreamMetadata &object)
| SeekTable (const ::FLAC__StreamMetadata *object)
| SeekTable (::FLAC__StreamMetadata *object, bool copy)
SeekTable & | operator= (const SeekTable &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata *object)
SeekTable & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const SeekTable &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const SeekTable &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
uint32_t | get_num_points () const
::FLAC__StreamMetadata_SeekPoint | get_point (uint32_t index) const
bool | resize_points (uint32_t new_num_points)
void | set_point (uint32_t index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | insert_point (uint32_t index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | delete_point (uint32_t index)
bool | is_legal () const
bool | template_append_placeholders (uint32_t num)
bool | template_append_point (FLAC__uint64 sample_number)
bool | template_append_points (FLAC__uint64 sample_numbers[], uint32_t num)
bool | template_append_spaced_points (uint32_t num, FLAC__uint64 total_samples)
bool | template_append_spaced_points_by_samples (uint32_t samples, FLAC__uint64 total_samples)
bool | template_sort (bool compact)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions

Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes

::FLAC__StreamMetadata * | object_

## Detailed Description

SEEKTABLE metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation